inner_product.h File Reference

Reference implementation for GEMM in host-side code. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/array.h"`
Include dependency graph for inner_product.h:

Go to the source code of this file.

## Classes

struct | cutlass::reference::detail::Cast< SrcType, DstType >
struct | cutlass::reference::detail::Cast< float, int8_t >
struct | cutlass::reference::detail::Cast< float, uint8_t >

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::detail

## Functions

template<typename Atype , typename Btype , typename Ctype >
CUTLASS_HOST_DEVICE Ctype | cutlass::reference::detail::inner_product (Atype a, Btype b, Ctype c)
| Template function to compute an inner product. More...
template<>
CUTLASS_HOST_DEVICE int | cutlass::reference::detail::inner_product< Array< bin1_t, 32 >, Array< bin1_t, 32 >, int > (Array< bin1_t, 32 > a, Array< bin1_t, 32 > b, int c)
| Specialization for matrix multiplication with binary operands. More...